Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 927461 (ros) - Review Request: ros - The Robot Operating System
Summary: Review Request: ros - The Robot Operating System
Keywords:
Status: CLOSED WONTFIX
Alias: ros
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: rospack python-rosinstall_generator
Blocks: FE-DEADREVIEW ros_comm actionlib
TreeView+ depends on / blocked
 
Reported: 2013-03-26 01:10 UTC by Rich Mattes
Modified: 2018-02-08 00:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-08 00:45:13 UTC


Attachments (Terms of Use)

Description Rich Mattes 2013-03-26 01:10:27 UTC
Spec URL: http://rmattes.fedorapeople.org/rospackages/ros/ros.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/ros/ros-1.8.10-2.fc18.src.rpm
Description:
ROS is a meta-operating system for your robot.  It provides language-
independent and network-transparent communication for a distributed
robot control system.

Fedora Account System Username: rmattes

rpmlint:
$ rpmlint ros.spec ../../RPMS/x86_64/ros-*-1.8.10-2*
ros.spec: W: invalid-url Source0: ros-1.8.10.tar.bz2
ros-devel.x86_64: W: no-documentation

The source is exported from an SVN tag with the instructions in the specfile

Comment 1 Rich Mattes 2013-06-08 16:58:58 UTC
Update:
Spec URL: http://rmattes.fedorapeople.org/rospackages/ros/ros.spec
SRPM URL: http://rmattes.fedorapeople.org/rospackages/ros/ros-1.8.10-3.20130608git0c13adb.fc19.src.rpm

I split up all of the ros stacks into subpackages and made most of them noarch where possible.  I also fixed the package to comply with the github sourceurl and snapshot packaging guidelines.

rpmlint trips up on more typos due to there being more description:
ros.x86_64: E: explicit-lib-dependency roslib
ros.x86_64: E: no-binary
roslib.x86_64: E: invalid-soname /usr/lib64/libroslib.so libroslib.so
roslib.x86_64: W: no-documentation
roslib-devel.x86_64: W: no-documentation
rosbash.noarch: W: no-documentation
rosbash.noarch: W: no-manual-page-for-binary rosrun
rosboost_cfg.noarch: W: spelling-error %description -l en_US rosboost -> booster, rooster, roost
rosboost_cfg.noarch: W: spelling-error %description -l en_US cfg -> cf, cg, cog
rosboost_cfg.noarch: W: spelling-error %description -l en_US cflags -> flags, c flags, cf lags
rosboost_cfg.noarch: W: spelling-error %description -l en_US lflags -> flags, l flags, lags
rosboost_cfg.noarch: W: no-documentation
rosboost_cfg.noarch: W: no-manual-page-for-binary rosboost-cfg
rosbuild.noarch: W: spelling-error %description -l en_US CMake -> C Make, Cake, Make
rosbuild.noarch: W: no-documentation
rosclean.noarch: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
rosclean.noarch: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
rosclean.noarch: W: no-documentation
rosclean.noarch: W: no-manual-page-for-binary rosclean
roscreate.noarch: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
roscreate.noarch: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
roscreate.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
roscreate.noarch: W: no-documentation
roscreate.noarch: W: no-manual-page-for-binary roros.x86_64: E: explicit-lib-dependency roslib
ros.x86_64: E: no-binary
roslib.x86_64: E: invalid-soname /usr/lib64/libroslib.so libroslib.so
roslib.x86_64: W: no-documentation
roslib-devel.x86_64: W: no-documentation
rosbash.noarch: W: no-documentation
rosbash.noarch: W: no-manual-page-for-binary rosrun
rosboost_cfg.noarch: W: spelling-error %description -l en_US rosboost -> booster, rooster, roost
rosboost_cfg.noarch: W: spelling-error %description -l en_US cfg -> cf, cg, cog
rosboost_cfg.noarch: W: spelling-error %description -l en_US cflags -> flags, c flags, cf lags
rosboost_cfg.noarch: W: spelling-error %description -l en_US lflags -> flags, l flags, lags
rosboost_cfg.noarch: W: no-documentation
rosboost_cfg.noarch: W: no-manual-page-for-binary rosboost-cfg
rosbuild.noarch: W: spelling-error %description -l en_US CMake -> C Make, Cake, Make
rosbuild.noarch: W: no-documentation
rosclean.noarch: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
rosclean.noarch: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
rosclean.noarch: W: no-documentation
rosclean.noarch: W: no-manual-page-for-binary rosclean
roscreate.noarch: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
roscreate.noarch: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
roscreate.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
roscreate.noarch: W: no-documentation
roscreate.noarch: W: no-manual-page-for-binary roscreate-pkg
roslang.noarch: W: spelling-error %description -l en_US rospack -> aerospace
roslang.noarch: W: no-documentation
roslang-devel.noarch: W: no-documentation
rosmake.noarch: W: spelling-error %description -l en_US roscpp -> Roscoe
rosmake.noarch: W: spelling-error %description -l en_US rospy -> rosy, ropy, prosy
rosmake.noarch: W: no-documentation
rosmake.noarch: W: no-manual-page-for-binary rosmake
ros-mk.noarch: W: spelling-error %description -l en_US cmake -> cake, make, c make
ros-mk.noarch: W: no-documentation
rosunit.noarch: W: spelling-error %description -l en_US rostest -> rosiest, roster, rooster
rosunit.noarch: W: no-documentation
rosunit.noarch: W: no-manual-page-for-binary rosunit
rosunit-devel.noarch: W: no-documentation
15 packages and 1 specfiles checked; 3 errors, 34 warnings.
screate-pkg
roslang.noarch: W: spelling-error %description -l en_US rospack -> aerospace
roslang.noarch: W: no-documentation
roslang-devel.noarch: W: no-documentation
rosmake.noarch: W: spelling-error %description -l en_US roscpp -> Roscoe
rosmake.noarch: W: spelling-error %description -l en_US rospy -> rosy, ropy, prosy
rosmake.noarch: W: no-documentation
rosmake.noarch: W: no-manual-page-for-binary rosmake
ros-mk.noarch: W: spelling-error %description -l en_US cmake -> cake, make, c make
ros-mk.noarch: W: no-documentation
rosunit.noarch: W: spelling-error %description -l en_US rostest -> rosiest, roster, rooster
rosunit.noarch: W: no-documentation
rosunit.noarch: W: no-manual-page-for-binary rosunit
rosunit-devel.noarch: W: no-documentation
15 packages and 1 specfiles checked; 3 errors, 34 warnings.


Note You need to log in before you can comment on or make changes to this bug.